Bug 89184 - samba 2.2.7a-8.9.0 rpmbuild -ba reports unpackaged file /usr/bin/pdbedit
samba 2.2.7a-8.9.0 rpmbuild -ba reports unpackaged file /usr/bin/pdbedit
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: samba (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-19 12:32 EDT by Paul Moore
Modified: 2014-08-31 19:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 14:01:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
script of a successful build of samba-2.2.7a-8.9.0 (78.25 KB, text/plain)
2003-04-21 17:32 EDT, Jay Fenlason
no flags Details

  None (edit)
Description Paul Moore 2003-04-19 12:32:14 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
When building source package samba-2.2.7a-8.9.0.src.rpm with
rpm -ba /usr/src/redhat/SPECS/samba.spec the build reports:
RPM build errors:
    Installed (but unpackaged) file(s) found:
   /usr/bin/pdbedit


Version-Release number of selected component (if applicable):
samba-2.2.7a-8.9.0.src.rpm

How reproducible:
Always

Steps to Reproduce:
1. rpm -i samba-2.2.7a-8.9.0.src.rpm
2. edit /usr/src/redhat/SPECS/samba.spec and
   replace line containing �--with-acl-support \�
   with the line �--with-acl-support --with-ldapsam \�
   to compile with LDAP support.
3. rpm -ba /usr/src/redhat/SPECS/samba.spec

Actual Results:  RPM build errors:
    Installed (but unpackaged) file(s) found:
   /usr/bin/pdbedit

Expected Results:  Successfull build and .rpm files in /usr/src/redhat/RPMS/i???/

Additional info:

Fixed by 
echo �%_unpackaged_files_terminate_build 0� >> ~/.rpmmacros
echo �%_missing_doc_files_terminate_build 0� >> ~/.rpmmacros
as outlined in previous bug reports.
Comment 1 David Lawrence 2003-04-21 13:15:06 EDT
Verified in testing.
Comment 2 Jay Fenlason 2003-04-21 17:32:39 EDT
Created attachment 91212 [details]
script of a successful build of samba-2.2.7a-8.9.0

This ran on rhl-9.lab.boston.redhat.com, an up2date celeron 500
Comment 3 Jay Fenlason 2003-04-21 17:34:47 EDT
Building the unmodified .spec file WORKSFORME.  (See attached script of a
successful build).  If you want us to support a custom configuration, you need
to talk to sales@redhat.com.
Comment 4 Zenon Panoussis 2003-06-11 18:52:04 EDT
I just had the same problem for the exact same reason with 2.2.8a-2.10 from
rawhide. Assuming that "default worksforme, talk to sales" should not (yet) be
interpreted as Microsoft manners, I would suggest the following one-line fix:

--- samba.spec.orig     2003-06-11 23:56:55.000000000 +0200
+++ samba.spec  2003-06-11 23:56:01.000000000 +0200
@@ -318,6 +318,7 @@
 %{_bindir}/smbstatus
 %{_bindir}/smbadduser
 %{_bindir}/tdbbackup
+%{_bindir}/pdbedit
 %config(noreplace) %{_sysconfdir}/sysconfig/samba
 %config(noreplace) %{_sysconfdir}/samba/smbusers
 %attr(755,root,root) %config %{initdir}/smb

BTW, pdbedit is *not* an LDAP-specific file. It belongs to samba, with or
without LDAP, but it is primarily needed when LDAP is not used. In other words:
if the default samba package does not contain it, then the default samba package
is broken. Most probably you built it using an older version of RPM which
doesn't complain about unpackaged files.

Checking for unpackaged file(s): /usr/lib/rpm/check-files /var/tmp/samba-2.2.8a-root
Wrote: /usr/src/redhat/SRPMS/samba-2.2.8a-2.10.ldap.src.rpm
Wrote: /usr/src/redhat/RPMS/i386/samba-2.2.8a-2.10.ldap.i386.rpm
Wrote: /usr/src/redhat/RPMS/i386/samba-client-2.2.8a-2.10.ldap.i386.rpm
Wrote: /usr/src/redhat/RPMS/i386/samba-common-2.2.8a-2.10.ldap.i386.rpm
Wrote: /usr/src/redhat/RPMS/i386/samba-swat-2.2.8a-2.10.ldap.i386.rpm

Debug is not being written, but I guess that's a different bug. 
Comment 5 Paul Moore 2003-06-12 09:44:46 EDT
Thanks Zenon, it's good to know I'm not crazy.

- Paul
Comment 6 Bill Nottingham 2006-08-05 00:33:10 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 8 Bill Nottingham 2007-01-02 14:01:38 EST
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.